Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_list_set_equals

## Name

librdf_list_set_equals -- set the equals function for the list

## Synopsis

``void `librdf_list_set_equals`` (librdf_list* `list`, int (*`equals`) (void* data1, void *data2));`

## Arguments

`list`

  librdf_list object

`equals`

  the equals function

## Description

The function given is used when comparing items in the list during searches such as those done in `librdf_list_remove` or `librdf_list_contains`.

<<< Previous | Home | Next >>>
librdf_list_size | Up | librdf_list_get_iterator